# Imagick::getImageDistortion

(PECL imagick 2.0.0)

Imagick::getImageDistortion — Compares an image to a reconstructed image

### Description

Imagick::getImageDistortion ( MagickWand `$reference` , int `$metric` ) : float

Compares an image to a reconstructed image and returns the specified distortion metric.

### Parameters

`reference`

  Imagick object to compare to.

`metric`

  One of the metric type constants.

### Return Values

Returns the distortion metric used on the image (or the best guess thereof).

### Errors/Exceptions

Throws ImagickException on error.